%{!?upstream_version: %global upstream_version %{commit}}
%define upstream_name puppetlabs-stdlib
%global commit f2492ee916c1c8e0345514045432c4a049674029
%global shortcommit %(c=%{commit}; echo ${c:0:7})
# DO NOT REMOVE ALPHATAG
%global alphatag .%{shortcommit}git


Name:           puppet-stdlib
Version:        4.13.1
Release:        4%{?alphatag}%{?dist}
Summary:        Standard library of resources for Puppet modules.
License:        Apache-2.0

URL:            https://github.com/puppetlabs/puppetlabs-stdlib

Source0:        https://github.com/puppetlabs/%{upstream_name}/archive/%{commit}.tar.gz#/%{upstream_name}-%{shortcommit}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=4.13.1
Patch0001: 0001-Fix-incorrect-environment-variable-name-in-README.patch
Patch0002: 0002-This-is-to-pin-ruby-version-to-parallel_tests.patch
Patch0003: 0003-MODULES-3980-Fix-ipv4-regex-validator.patch
Patch0004: 0004-MODULES-3829-Use-.dup-to-duplicate-classes-for-modif.patch
Patch0005: 0005-Handle-array-values-in-join_keys_to_values-function.patch
Patch0006: 0006-Remove-leading-spaces.patch
Patch0007: 0007-Addition-of-4.6-and-4.7-travis-cells.patch
Patch0008: 0008-Fix-spec-failures-on-puppet-4.8.patch

BuildArch:      noarch

Requires:       puppet >= 2.7.0

%description
Standard library of resources for Puppet modules.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/stdlib/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/stdlib/



%files
%{_datadir}/openstack-puppet/modules/stdlib/


%changelog
* Tue Jan 23 2018 Steve Linabery <slinaber@redhat.com> 4.13.1-4.4ae810dgit
- Fix spec failures on puppet 4.8
- Addition of 4.6 and 4.7 travis cells
- Remove leading spaces
- Handle array values in join_keys_to_values function
- (MODULES-3829) Use .dup to duplicate classes for modification.

* Thu Nov 10 2016 Jon Schlueter <jschluet@redhat.com> 4.13.1-3
- Merge pull request #687 from MG2R/MODULES3829
- (MODULES-3829) Use .dup to duplicate classes for modification.
- Merge pull request #680 from DavidS/modules-3980-fix-ipv4-regex
- (MODULES-3980) Fix ipv4 regex validator
- Merge pull request #682 from pmcmaw/paralell_tests_modulesync

* Fri Nov 04 2016 Jon Schlueter <jschluet@redhat.com> 4.13.1-2
- Merge pull request #680 from DavidS/modules-3980-fix-ipv4-regex
- (MODULES-3980) Fix ipv4 regex validator
- Merge pull request #682 from pmcmaw/paralell_tests_modulesync
-  This is to pin ruby version to parallel_tests
- Merge pull request #675 from smoeding/fix-deprecation-typo
- Fix incorrect environment variable name in README

* Fri Nov 04 2016 Jon Schlueter <jschluet@redhat.com> 4.13.1-1
- Update to 4.13.1 (f2492ee916c1c8e0345514045432c4a049674029)

* Fri Sep 16 2016 Haikel Guemar <hguemar@fedoraproject.org> 4.12.0-1.66830ac.git
- Newton update 4.12.0 (66830ac66ac4d435c56c5f3fc93592c32c087726)

